<?php
class TestImagestionController extends Zend_Controller_Action
{
    public function init()
    {
        $this->view->acl = new Shipcode_Acl();
        $this->view->usuario = $this->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->view->autorizaciones = Zend_Json::decode($this->usuario->autorizaciones);
        $this->view->pagina = 5;
        $this->view->pageTitle = "Imagestión";
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render($this->usuario->header));
        }
    }
    
    public function indexAction()
    {
        $datos = array(); 
        $curl = curl_init(Zend_Registry::get("IMA_URL") . "producto/producto.php?token=". Zend_Registry::get("IMA_TOKEN_TMC"));
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, 'datos='. json_encode($datos).'&formato=json'."&get=detalle");
        $response = curl_exec($curl);
        Zend_Debug::dump($response);
    }
}