<?php
class Shipcode_Model_Fecha extends Zend_Db_Table_Abstract
{
    public static function format($fecha)
    {
        $fechaOriginal = new Zend_Date($fecha);
        return $fechaOriginal->toString('dd ') . $fechaOriginal->toString('MMMM') . $fechaOriginal->toString(' yyyy');
    }
    
    public static function formatShort($fecha)
    {
        $fechaOriginal = new Zend_Date($fecha);
        return $fechaOriginal->toString('dd/MM/yyyy');
    }
    
    public static function formatParaProrrateo($fecha)
    {
        $f = new Zend_Date($fecha);
        $ff = strtoupper($f->toString('MMMM')) . ' ' . $f->toString('yyyy');
        return $ff;
    }
}