<?php
class Zend_View_Helper_PrintEtiquetaEstadoCarena
{
	
    function printEtiquetaEstadoCarena($fecha)
    {
        $fechaActual = new Zend_Date(date('Y-m-d'));
        $fechaCarena = new Zend_Date($fecha);
        $fechaAviso = new Zend_Date($fecha);
        $fechaAviso->sub(Shipcode_Model_SistemaPreferencia::getPref('DIAS_AVISO_CARENA'), Zend_Date::DAY);
           
        if($fechaActual->isEarlier($fechaAviso)){
            return ' label-success';
        }
        
        if($fechaActual->equals($fechaAviso)){
            return ' label-warning';
        }
        
        if($fechaActual->isLater($fechaAviso) && $fechaActual->isEarlier($fechaCarena)){
            return ' label-warning';
        }

        if($fechaActual->equals($fechaCarena)){
            return ' label-danger';
        }
        
        if($fechaActual->isLater($fechaCarena)){
            return ' label-danger';
        }
    }
}
