<?php
class Zend_View_Helper_PrintExtract
{
	
    function printExtract($texto, $longitudCadena = 100, $tooltip = true )
    {

        if(strlen($texto) > $longitudCadena) {

            $subcadena = substr($texto, 0, $longitudCadena);
            $indiceUltimoEspacio = strrpos($subcadena, " ");
            $cadenaFinal =  substr($texto, 0, $indiceUltimoEspacio);

            $data = '<span class="extracto">' . nl2br($cadenaFinal) . ' ...</span>';
            
            if(true===$tooltip) {
                $data .= '<div class="hidden"><div style="width:450px;">' . nl2br($texto) . '</div></div>';
            }

            return  $data;

        } else {

            return nl2br($texto);


        }
    }
}
