var armarFormularioLecturaHorometro = function(data){
    var formulario = '<form class="ajax form-inline form-small" id="form-lectura-horometro-reporte">'
                   + '<input type="hidden" name="equipo_id" id="equipo_id" value="' + data.equipo_id + '">'
                   + '<input type="text" class="form-control input-sm show-calendar" name="fecha" placeholder="Fecha" id="fecha" style="width:90px;margin-right:5px;">'
                   + '<input type="text" class="form-control input-sm" name="lectura" placeholder="Lectura" id="lectura" style="width:70px;">'
                   + '<button id="btn-lectura-horometro" type="submit" class="btn btn-sm btn-success" style="margin-right:5px;margin-left:5px;"><span class="glyphicon glyphicon-send"></span></button>'
                   + '<button id="btn-cancelar-lectura-horometro" class="btn btn-sm btn-danger" type="reset"><span class="glyphicon glyphicon-remove"></span></button>'
                   + '<p class="mostrar-registro-completo">'
                   + '<a class="cargar-popup" data-url="/horometro-lectura/ver-registro/'+ data.equipo_id +'/1" '
                   + 'data-title="Registro horómetro ' + data.equipo + '" data-toggle="modal" href="#popup"">'
                   + '<span class="glyphicon glyphicon-list-alt"></span> Historial</a> '
                   + '<a href="#popup" data-title="Horas de operación mensual" class="cargar-popup"'
                   + 'data-toggle="modal" data-url="/u-nave/horas-operacion/'+ data.equipo_id + '">'
                   + '<span class="glyphicon glyphicon-stats"></span> Horas de operación</a></p>'
                   + '</form>';
    return formulario;
};
var armarFormularioLecturaParametro = function(data){
    var formulario = '<form class="ajax form-inline form-small" id="form-lectura-parametro-reporte">'
                   + '<input type="hidden" name="equipo_id" id="equipo_id" value="' + data.equipo_id + '">'
                   + '<input type="hidden" name="parametro_id" id="parametro_id" value="' + data.parametro_id + '">'
                   + '<input type="text" class="form-control input-sm show-calendar" name="fecha" placeholder="Fecha" id="fecha" style="width:90px;margin-right:5px;">'
                   + '<input type="text" class="form-control input-sm" name="lectura" placeholder="Lectura" id="lectura" style="width:70px;">'
                   + '<button id="btn-lectura-parametro" type="submit" class="btn btn-sm btn-success" style="margin-right:5px;margin-left:5px;"><span class="glyphicon glyphicon-send"></span></button>'
                   + '<button id="btn-cancelar-lectura-parametro" class="btn btn-sm btn-danger" type="reset"><span class="glyphicon glyphicon-remove"></span></button>'
                   + '<p class="mostrar-registro-completo">'
                   + '<a class="cargar-popup" data-url="/parametro-lectura/ver-registro/'+ data.equipo_id +'/' + data.parametro_id + '" '
                   + 'data-title="Registro parámetro ' + data.equipo + '" data-toggle="modal" href="#popup"">'
                   + '<span class="glyphicon glyphicon-list-alt"></span> Historial</a> '
                   + '<a href="#popup"><span class="glyphicon glyphicon-stats"></span> Gráfica</a></p>'
                   + '</form>';
    return formulario;
};
var actualizarCeldaLecturaHorometro = function(lectura){
    var lectura = lectura;
    var idHorometro = "#h" + lectura.equipo_id;
    if(lectura.dependiente === true){
        $(idHorometro).html("<span class='glyphicon glyphicon-lock'></span> " + lectura.lectura_formateada);
    } else {
        $(idHorometro).html(lectura.lectura_formateada);
    }
    
    if(lectura.dependiente === true){
        $(idHorometro).attr('data-tooltip', 'Horómetro anclado a ' + lectura.equipo_maestro);
    } else {
        $(idHorometro).attr('data-tooltip', 'Realizada el ' + lectura.fecha_formateada);
    }
    
    if($(idHorometro).hasClass('lectura-vencida')){
        $(idHorometro).removeClass('lectura-vencida');
    }
    if($(idHorometro).hasClass('lectura-por-vencer')){
        $(idHorometro).removeClass('lectura-por-vencer');
    }
    if($(idHorometro).hasClass('lectura-ok')){
        $(idHorometro).removeClass('lectura-ok');
    }
    if(lectura.dias_ultima_lectura <= 5) {
        $(idHorometro).addClass('lectura-ok');
    } else if(lectura.dias_ultima_lectura > 5 && lectura.dias_ultima_lectura <= 7){
        $(idHorometro).addClass('lectura-por-vencer');
    } else {
        $(idHorometro).addClass('lectura-vencida');
    }
};
var actualizarCeldasEquiposAnclados = function(anclados){
    var anclados = anclados;
    if(anclados.length > 0){
        for(i=0; i < anclados.length; i++){
            actualizarCeldaLecturaHorometro(anclados[i]);
            console.log(anclados[i]);
        }
    }
            
};
var actualizarCeldaLecturaParametro = function(data){
    var lectura = data.lectura;
    var idCellParametro = "#e" + lectura.equipo_id + 'p' + lectura.parametro_id;
    $(idCellParametro).text(lectura.lectura_formateada);
    $(idCellParametro).attr('data-tooltip', 'Realizada el ' + lectura.fecha_formateada);
    if($(idCellParametro).hasClass('lectura-vencida')){
        $(idCellParametro).removeClass('lectura-vencida');
    }
    if($(idCellParametro).hasClass('lectura-por-vencer')){
        $(idCellParametro).removeClass('lectura-por-vencer');
    }
    if($(idCellParametro).hasClass('lectura-ok')){
        $(idCellParametro).removeClass('lectura-ok');
    }
    if(lectura.dias_ultima_lectura <= 5) {
        $(idCellParametro).addClass('lectura-ok');
    } else if(lectura.dias_ultima_lectura > 5 && lectura.dias_ultima_lectura <= 7){
        $(idCellParametro).addClass('lectura-por-vencer');
    } else {
        $(idCellParametro).addClass('lectura-vencida');
    }
};

$(document).ready(function(){
    
    $(document).on('focus', 'a.lectura-horometro, a.lectura-parametro', function(e){
        $(".popover").popover('hide');
    });
    $("a.lectura-horometro").popover({
        html: true,
        placement: 'top',
        title: function(){
            var titulo = $(this).attr('data-title');
            return titulo;
        },
        content: function(){
            var data = $(this).data();
            return armarFormularioLecturaHorometro(data);
        }
    });
    
    $("a.lectura-parametro").popover({
        html: true,
        placement: 'top',
        title: function(){
            var titulo = $(this).attr('data-title');
            return titulo;
        },
        content: function(){
            var data = $(this).data();
            return armarFormularioLecturaParametro(data);
        }
    });
    $(document).on("submit", "#form-lectura-horometro-reporte", function(e){
        e.preventDefault();
        var fecha = $("#fecha").val();
        var lectura = $("#lectura").val();
        if(fecha === "" || (isNaN(lectura) || lectura ==='')) {
            alert("Ingrese la fecha y la lectura del horómetro.");
        } else {
            $.ajax({
                dataType: 'json',
                type: "POST",
                url: '/u-nave/ingresar-horometro',
                data : getInputsAjax("#form-lectura-horometro-reporte"),
                success: function(requestData){
                    if(requestData.sessionError === true){
                        terminarSesion();
                    } else {
                        if(requestData.error === false){
                            actualizarCeldaLecturaHorometro(requestData.lectura);
                            actualizarCeldasEquiposAnclados(requestData.anclados);
                            $(".popover").popover('hide');
                        } else {
                            alert(requestData.mensaje);
                        }
                    }
                        
                },
                error: function(){
                    alert('Ocurrió un error al intentar la operación.');
                }
            });
        }
    });
    $(document).on("submit", "#form-lectura-parametro-reporte", function(e){
        e.preventDefault();
        var fecha = $("#fecha").val();
        var lectura = $("#lectura").val();
        if(fecha === "" || (isNaN(lectura) || lectura ==='')) {
            alert("Ingrese la fecha y la lectura del parámetro.");
        } else {
            $.ajax({
                dataType: 'json',
                type: "POST",
                url: '/u-nave/ingresar-parametro',
                data : getInputsAjax("#form-lectura-parametro-reporte"),
                success: function(requestData){
                    if(requestData.sessionError === true){
                        terminarSesion();
                    } else {
                        if(requestData.error === false){
                            actualizarCeldaLecturaParametro(requestData);
                            $(".popover").popover('hide');
                        } else {
                            alert(requestData.mensaje);
                        }
                    }
                        
                },
                error: function(){
                    alert('Ocurrió un error al intentar la operación.');
                }
            });
        }
    });
    $(document).on('click', '#btn-cancelar-lectura-horometro, #btn-cancelar-lectura-parametro', function(){
       $(".popover").popover('hide');
    });
    $('a.tooltip-th-informe').each(function(){
        $(this).qtip({
            content: {
                title: 'Valor esperado',
                text: $(this).attr('title')
            },
            position: {
                my: 'bottom middle',
                at: 'top middle' 
            },
            style: {
                classes: 'qtip-wiki qtip-green qtip-rounded qtip-shadow'
            }
        });
    });
    $('a.tooltip-td-informe, a.tooltip-th-informe').click(function(e){ e.preventDefault(); });
    $('a.tooltip-td-informe').each(function(){
        $(this).qtip({
            content: {
                title: 'Última lectura',
                text: function(){
                    return $(this).attr('data-tooltip');
                }
            },
            position: {
                my: 'top center',
                at: 'bottom center' 
            },
            style: {
                classes: 'qtip-wiki qtip-cream qtip-shadow qtip-rounded'
            }
        });
    });
});