var guardarArchivo = function(idForm)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: $(idForm).attr("action"),
        data : getInputsAjax(idForm),
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $(requestData.idContador).html(requestData.numCarpeta);
                    agregarFilaTablaArchivos(requestData);
                    $("#nombre").val('');
                    $("#archivo").attr('value', '');
                    $("#submit").attr('disabled', 'disabled');
                    if(requestData.numTotal === "1"){
                        $(requestData.idTabla + " a.mostrar-file")[0].click();
                    }
                }
            }    
        }
    });
};
var agregarFilaTablaArchivos = function(data)
{
    var content = '<tr id="r' + data.id + '">'
                + '<td class="archivo"><a class="mostrar-file" data-format="' + data.formato + '" data-folder="' + data.folder + '" data-file="'
                + data.archivo + '" href="#"><span class="glyphicon glyphicon-chevron-right"></span><span id="nombre_file_' + data.id + '"> ' + data.nombre + '</span></a></td>'
                + '<td width="55" class="text-right">'
                + '<a href="#" data-id="' + data.id + '" title="Editar nombre archivo" class="editar-file">'
                + '<span class="glyphicon glyphicon-pencil"></span></a> '
                + '<a href="/' + data.controller + '/eliminar-archivo/' + data.id + '/' + data.pid + '" data-file="' + data.archivo + '" title="Eliminar archivo" class="eliminar-file" '
                + 'data-alert="¿Seguro que desea eliminar este archivo?. Esta operación no es reverible">'
                + '<span class="glyphicon glyphicon-trash"></span></a></td></tr>'
                + '<tr id="fef' + data.id + '" class="form-edit-file hidden">'
                + '<td colspan="2"><form class="form-inline"  id="fn' + data.id + '">'
                + '<input name="id" type="hidden" class="id_file" value="' + data.id + '">'
                + '<input type="text" name="nombre" class="nombre_file" value="' + data.nombre + '"> '
                + '<a class="btn btn-xs btn-success cambiar-nombre-file" href="/' + data.controller + '/editar-archivo"'
                + 'data-form="#fn' + data.id + '>"><span class="glyphicon glyphicon-ok"></span></a> '
                + '<button class="btn btn-xs btn-danger cancel-file-edit" data-id="' + data.id + '"><span class="glyphicon glyphicon-remove"></span></button>'
                + '</form></td></tr>';
   $(data.idTabla).append(content);      
};

function removeItem(arr) {
    var what, a = arguments, L = a.length, ax;
    while(L > 1 && arr.length) {
        what = a[--L];
        while((ax= arr.indexOf(what)) !== -1) arr.splice(ax, 1);
    }
    return arr;
}

$(document).ready(function() {
    $(document).on('click', "#upload-files #submit", function(e){
        e.preventDefault();
        var nombreArchivo = $("#nombre").val();
        if( nombreArchivo === '' || nombreArchivo === false || nombreArchivo === null) {
            alert('Por favor ingrese el nombre del archivo' + $("#nombre").val());
        } else {
            guardarArchivo("#upload-files");
        }
    });
    
    $(document).on('click', "a.cambiar-nombre-file", function(e){
        e.preventDefault();
        var formNombre = $(this).attr('data-form');
        $.ajax({
            dataType: 'json',
            type: "POST",
            url: $(this).attr('href'),
            data : "id=" + $(formNombre + " input.id_file").val() +"&nombre=" + $(formNombre + " input.nombre_file").val(),
            success: function(requestData){
                if(requestData.error === false){
                    $(formNombre + " > input.nombre_file").val(requestData.nombre);
                    $("#nombre_file_" + requestData.id).text(requestData.nombre);
                    $("#fef" + requestData.id).addClass('hidden');
                    $("#r" + requestData.id).removeClass('hidden').effect('highlight', {duration: 2000});
                } else {
                    alert(requestData.mensaje);
                }
            }
        });
    });
    
    $(document).on('click', "#upload-files #cancel", function(e){
        e.preventDefault();
        $("#nombre").val('');
        $("#archivo").attr('value', '');
        $("#archivo, #submit").attr('disabled', 'disabled');
    });
    
    $(document).on('click', "a.eliminar-file", function(e){
        e.preventDefault();
        if(confirm($(this).attr('data-alert'))){
            var dataFile = $(this).attr('data-file');
            $.ajax({
                dataType: 'json',
                type: "POST",
                url: $(this).attr("href"),
                success: function(requestData){
                    if(requestData.error === false){
                        eliminarFila('#r' + requestData.id);
                        if($("#cont-archivo").attr('data-file') === dataFile){
                            $("#cont-archivo").html('');
                        }
                        $(requestData.idContador).html(requestData.numCarpeta);
                        if(requestData.numTotal === 0) {
                            $("#desplegar-form-file").click();
                        }
                    } 
                }
            });
        }
    });
    
    $(document).on('click', "a.editar-file", function(e){
        e.preventDefault();
        var idFile = $(this).attr('data-id');
        $("#r" + idFile).addClass('hidden');
        $("#fef" + idFile).removeClass('hidden');
    });
    
    $(document).on('click', "button.cancel-file-edit", function(e){
        e.preventDefault();
        var idFile = $(this).attr('data-id');
        $("#fef" + idFile).addClass('hidden');
        $("#r" + idFile).removeClass('hidden');
        
    });
    
    $(document).on('click', "a.mostrar-file", function(e){ 
        e.preventDefault();
        var fila = $(this);
        var dataFile = fila.attr('data-file');
        var dataFolder = fila.attr('data-folder');
        var dataFormat = fila.attr('data-format');
        if($("#aviso-no-archivos")){
            $("#aviso-no-archivos").remove(); 
        }
        if(dataFormat === 'application/pdf') {
            $("#cont-archivo").html('<iframe id="cont-file" src="/js/librerias/pdfjs/web/viewer.html?file=/files/'+ dataFolder +'/'+ dataFile +'"></iframe>');
        } else if(dataFormat === 'image/jpeg') {
            $("#cont-archivo").html('<img class="img-responsive img-thumbnail" src="/files/' + dataFolder + '/' + dataFile + '">');
        } 
        $("#cont-archivo").attr('data-file', dataFile);
        $("a.mostrar-file").removeClass('select');
        $(this).addClass('select');
        $("#cont-file").focus();
    });
});