var setServicioProyeccion = function(pid, id, flag)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/proyeccion-mantenimiento/set-servicios/',
        data: "pid=" + pid + "&id=" + id + "&flag=" + flag,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $("#tr-servicio-" + id).effect('highlight');
                } else {
                    alert(requestData.mensaje);
                }
            }
        }
    });
};
var setPromedioEquipo = function(pid, eid, prom)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/proyeccion-mantenimiento/set-promedio-equipo/',
        data: "pid=" + pid + "&eid=" + eid + "&prom=" + prom,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $("input#promedio-"+ eid).effect('highlight');
                } else {
                    alert(requestData.mensaje);
                }
            }
        }
    });
};
var setValorServicio = function(pid, sid, val)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/proyeccion-mantenimiento/set-valor-servicio/',
        data: "pid=" + pid + "&sid=" + sid + "&val=" + val,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $("input#valor-"+ sid).effect('highlight');
                } else {
                    alert(requestData.mensaje);
                }
            }
        }
    });
};
$(document).ready(function(){
    $("tr.tr-servicio").hide();
    $("a.toggle-servicios").click(function(e){
        e.preventDefault();
        var indicador = $(this).attr('data-indicador');
        var icono = document.getElementById(indicador).className.split(/\s+/);
        var clase = $(this).attr("data-equipo");
        $(clase).toggle();
        if(icono[1] === 'glyphicon-chevron-down'){
            $('#' + indicador).attr('class', 'glyphicon glyphicon-chevron-right');
        } else {
            $('#' + indicador).attr('class', 'glyphicon glyphicon-chevron-down');
        }
    });
    $("input.check").click(function(){
        var identificador = "#" + $(this).attr('id');
        var estado = $(identificador + ":checked").length;
        var id = $(identificador).attr('data-id');
        var pid = $("#proyeccion").attr('data-id');
       
        setServicioProyeccion(pid, id, estado);
    });
    $("a.toggle-servicios").first().click();
    $("form.asignacion-promedio").submit(function(e){
        e.preventDefault();
        var eid = $(this).attr('data-equipo-id');
        var pid = $(this).attr('data-proyeccion-id');
        var prom = $("input#promedio-"+ eid).val();
        setPromedioEquipo(pid, eid, prom);
    });
    $("form.asignacion-valor-servicio").submit(function(e){
        e.preventDefault();
        var sid = $(this).attr('data-servicio-id');
        var pid = $(this).attr('data-proyeccion-id');
        var val = $("input#valor-"+ sid).val();
        setValorServicio(pid, sid, val);
    });
});