<?php
class ImagestionImporterController extends Zend_Controller_Action
{
    public function init()
    {
        $this->view->acl = new Shipcode_Acl();
        $this->view->usuario = $this->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->view->autorizaciones = Zend_Json::decode($this->usuario->autorizaciones);
        
        $this->view->pageTitle = "Importar desde Imagestión";
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render($this->usuario->header));
        }
    }
    
    public function cuentasGastoAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            $mSession = new Zend_Session_Namespace('shipcode');
            $this->_helper->layout->disableLayout();
            $imagestion = new Shipcode_Model_ImagestionImporter();
            $this->view->cuentas = $imagestion->getCuentasGasto();
        }    
    }
    
    public function centrosCostoAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            $mSession = new Zend_Session_Namespace('shipcode');
            $this->_helper->layout->disableLayout();
            $imagestion = new Shipcode_Model_ImagestionImporter();
            $this->view->centros = $imagestion->getCentrosCosto();
        }    
    }
    
    public function conceptosImputacionAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            $mSession = new Zend_Session_Namespace('shipcode');
            $this->_helper->layout->disableLayout();
            $imagestion = new Shipcode_Model_ImagestionImporter();
            $this->view->conceptos = $imagestion->getConceptosImputacion();
        }    
    }
    
    public function proveedoresAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            $mSession = new Zend_Session_Namespace('shipcode');
            unset($mSession->data);
            $this->_helper->layout->disableLayout();
            $imagestion = new Shipcode_Model_ImagestionImporter();
            $this->view->proveedores = $imagestion->getProveedores();
            $mSession->data = $this->view->proveedores;
            
        }    
    }
    
    public function productosAction()
    {
        if($this->getRequest()->isXmlHttpRequest()){
            $mSession = new Zend_Session_Namespace('shipcode');
            $this->_helper->layout->disableLayout();
            $imagestion = new Shipcode_Model_ImagestionImporter();
            $this->view->productos = $imagestion->getProductos();
        }    
    }
}