<?php

class SistemaWebserviceController extends Zend_Controller_Action {

    public function init() 
    {
        $this->view->acl = new Shipcode_Acl();
        $this->view->pageTitle = 'Web Services compatibles';
        $this->view->pagina = 5;

        $this->_helper->layout->setLayout('config');
        $this->view->action = $this->getRequest()->getActionName();
        $this->view->controller = $this->getRequest()->getControllerName();

        $this->usuario = $this->view->usuario = Zend_Auth::getInstance()->getIdentity();
        if (!$this->getRequest()->isXmlHttpRequest()) {
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render($this->usuario->header));
            $response->insert('menuConfig', $this->view->render('menu-config.phtml'));
        }
    }

    public function indexAction() {
        $mSession = new Zend_Session_Namespace('shipcode');
        if ($mSession->mensajes != '') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $webservice = new Shipcode_Model_SistemaWebservice();
        $this->view->webservices = $webservice->getAll();
        $this->view->pageTitle = 'Webservices habilitados';
    }
}
