<?php
class AsignacionGastosController extends Zend_Controller_Action
{
    public function init()
    {
        $this->view->acl = new Shipcode_Acl();
        $this->view->usuario = $this->usuario = Zend_Auth::getInstance()->getIdentity();
        $this->view->autorizaciones = Zend_Json::decode($this->usuario->autorizaciones);
        
        $this->view->pagina = 3;
        $this->view->pageTitle = "Asignación de Gastos";
        
        if(!$this->getRequest()->isXmlHttpRequest()){
            $response = $this->getResponse();
            $response->insert('header' , $this->view->render($this->usuario->header));
        }
    }

    /***************** OPERACIONES ADMINISTRADOR HORÓMETROS *******************/
    public function indexAction()
    {
        $mSession = new Zend_Session_Namespace('shipcode');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $nave = new Shipcode_Model_Nave();
        $this->view->naves = $nave->getPairsToSelect();
    }
    
    public function buscarAction()
    {
        $mSession = new Zend_Session_Namespace('shipcode');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        
        $nave = new Shipcode_Model_Nave();
        $cuenta = new Shipcode_Model_CuentaGasto();
        $this->view->naves = $nave->getPairsToSelect();
        $this->view->cuentas = $cuenta->getPairsToSelect();
    }
    
    public function reportesAction()
    {
        $mSession = new Zend_Session_Namespace('shipcode');
        if($mSession->mensajes!='') {
            $this->view->mensajes = $mSession->mensajes;
            $this->view->claseMensaje = $mSession->claseMensaje;
            $mSession->mensajes = '';
            $mSession->claseMensaje = '';
        }
        $nave = new Shipcode_Model_Nave();
        $cuenta = new Shipcode_Model_CuentaGasto();
        $this->view->naves = $nave->getPairsToSelect();
        $this->view->cuentas = $cuenta->getPairsToSelect();
        
    }
}