<?php
class Shipcode_Model_ImagestionCuentaGasto extends Zend_Db_Table_Abstract
{
    protected $_name = 'imagestion_cuentas';
    protected $_primary = 'id';
    
    private $_id;
    
    public function setId($id)
    {
        $this->_id = (int)$id;
    }

    public function getRow()
    {
        return $this->find($this->_id)->current();
    }
    
    public function getAll()
    {
        return $this->fetchAll(NULL, 'cod_cuenta');
    }
    
    public function crear($data, $user)
    {
        $data['creador'] = $user;
        $row = $this->createRow();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function editar($data, $user)
    {
        $data['creador'] = $user;
        $row = $this->find($data['id'])->current();
        $row->setFromArray($data);
        $row->save();
    }
    
    public function eliminar()
    {
        if(NULL == $this->_id) {
            throw new Exception("No se ha configurado el ID - Eliminar Cuenta Gasto");
        }
        $where = $this->getAdapter()->quoteInto("id=?",  $this->_id);
        
        try {
            $this->delete($where);
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
    
    /*
    public static function getCuentasOrdenes()
    {
        $adapter = self::getDefaultAdapter();
        $sql = "SELECT cod_cuenta FROM cuentas_gastos WHERE cod_cuenta IS NOT NULL AND cod_cuenta!='0' AND gastos='1'";
        return $adapter->fetchCol($sql);
    }
    
    public static function getPairsToSelect()
    {
        $adapter = self::getDefaultAdapter();
        $sql = 'SELECT id, nombre FROM cuentas_gastos ORDER BY nombre';
        return $adapter->fetchPairs($sql);
    }
    */
    
}