<?php
class Zend_View_Helper_CalculateSizeOfFile
{
	
    function calculateSizeOfFile($file)
    {
        $path = $_SERVER['DOCUMENT_ROOT'] . '/files/';
        if(file_exists($path . $file)) {
            $size = filesize($path . $file);
            if($size > 1 && $size < 1024){
                return number_format($size, 0) . ' B';
            } 
            
            if($size >= 1024 && $size < 1000000){
                return number_format($size/1024, 0) . ' KB';
            }
            
            if($size >= 1000000){
                return number_format($size/1048576, 1) . ' MB';
            }
        }
    }
}
