<?php

class Zend_View_Helper_CreateSelectOrder
{
    
    public function createSelectOrder($orderByOptions, $formAction, $orderBy, $orderType)
    {
        $html = '<form name="order_list" id="order_list" class="navbar-form form-small" method="post" action="' . $formAction . '">';
        $html .= '<select id="order_by" name="order_by" class="input-sm">';
        
        foreach($orderByOptions as $key => $value) {
            
            $html .= '<option value="' . $key . '"';
            if($orderBy==$key) { 
                $html .= ' selected'; 
            }
            $html .= '>' . $value . '</option>';
        }
        
        $html .= '</select>';
        $html .= '&nbsp;';
        $html .= '<select id="order_type" name="order_type" class="input-sm">';
        $html .= '<option value="ASC"';
        if($orderType=='ASC') { 
            $html .= ' selected'; 
        } 
        $html .= '>ASC</option>';
        $html .= '<option value="DESC"';
        if($orderType=='DESC') { 
            $html .= ' selected'; 
        } 
        $html .= '>DESC</option>';
        $html .= '</select>';
        $html .= '&nbsp;';
        $html .= '<button class="btn btn-sm"><span class="glyphicon glyphicon-refresh"></span></button>';
        $html .= '</form>';
        return $html;
    }
}
