<?php
class Zend_View_Helper_FormatFileSize
{
	
    function formatFileSize($fileSize, $unidad = 'KB')
    {
        switch ($unidad) {
            case "GB":
                $unidad = 'GB';
                $m = 1024*1024*1024;
                $precision = 2;
                $decimales = 2;
                break;
            case "MB":
                $unidad = 'MB';
                $m = 1024*1024;
                $precision = 1;
                $decimales = 1;
                break;
            default:
                $unidad = 'KB';
                $m = 1024;
                $precision = 0;
                $decimales = 0;
                break;
        }

        return number_format(round($fileSize/$m, $precision), $decimales, ',','.') . ' ' . $unidad;
    }
}
