<?php
class Zend_View_Helper_PrintColorEstadoEventoPorFechas
{
	
    function printColorEstadoEventoPorFechas($proximoServicio)
    {
        $fechaActual = new Zend_Date(date('Y-m-d'), Zend_Date::ISO_8601);
        $fechaServicio = new Zend_Date($proximoServicio['fecha_editada'], Zend_Date::ISO_8601);
        $fechaAviso = NULL;
        
        if($proximoServicio['aviso'] != NULL){
            $fechaAviso = new Zend_Date($proximoServicio['aviso'], Zend_Date::ISO_8601);
            
            if($fechaActual->isEarlier($fechaAviso)){
                return 'text-success';
            }

            if($fechaActual->isLater($fechaAviso) && $fechaActual->isEarlier($fechaServicio)){
                return 'text-warning';
            }

            if($fechaActual->equals($fechaAviso)){
                return 'text-warning';
            }

            if($fechaActual->isLater($fechaServicio)){
                return 'text-danger';
            }

            if($fechaActual->equals($fechaServicio)){
                return 'text-danger';
            }
        } else {
           
            if($fechaActual->isEarlier($fechaServicio)){
                return 'text-success';
            }

            if($fechaActual->isLater($fechaServicio)){
                return 'text-danger';
            }

            if($fechaActual->equals($fechaServicio)){
                return 'text-danger';
            }
        }
    }
}
