<?php
class Zend_View_Helper_PrintDetalleCodigoProgramacion
{
	
    function printDetalleCodigoProgramacion($codigo, $referencia = NULL)
    {
        switch ($codigo) {
            case '101':
                $detalle = 'Horómetro : Inactivo';
                break;
            case '102':
                $detalle = 'Horómetro : Información insuficiente';
                break;
            case '103':
                $detalle = 'Horómetro : Ya se pasó de las horas que correspondía el servicio';
                break;
            case '104':
                $detalle = 'Último mantenimiento no se registró horómetro';
                break;
            
            
            case '201':
                $detalle = 'Ítem en días : Programación basada en la fecha de inicio de operaciones';
                break;
            case '202':
                $detalle = 'Ítem en días : Programación basada en la fecha del último servicio';
                break;
            
            
            case '211':
                $detalle = 'Ítem en horas : Programación basada en la fecha de inicio de operaciones';
                break;
            case '212':
                $detalle = 'Ítem en horas : Programación basada en la fecha del último servicio';
                break;
            
            
            case '221':
                $detalle = 'Ítem en horas con tope de días : Horómetro inactivo o información insuficiente : Programación basada en la fecha de inicio de operaciones';
                break;
            case '222':
                $detalle = 'Ítem en horas con tope de días : Horómetro inactivo o información insuficiente : Programación basada en la fecha del último servicio';
                break;
            case '223':
                $detalle = 'Ítem en horas con tope de días : Horómetro activo : Sin registro anterior';
                break;
            case '224':
                $detalle = 'Ítem en horas con tope de días : Horómetro activo :';
                break;
            
            case '301':
                $detalle = 'Ítem anclado a la fecha de carena de la nave';
                break;
            case '302':
                $detalle = 'Ítem anclado a : ' . $referencia;
                break;
            
            case '401':
                $detalle = 'Programación manual';
                break;
            
            default:
                $detalle = '';
                break;
        }
        return $detalle;
    }
}