<?php
class Zend_View_Helper_PrintEstiloPorEstado
{
	
    function printEstiloPorEstado($value, $critico = NULL)
    {
        $fechaVencimiento = new Zend_Date($value);
        
        $fechaAviso = clone($fechaVencimiento);
        $fechaAviso->sub(Shipcode_Model_SistemaPreferencia::getPref('DIAS_AVISO_CERTIFICADOS'), Zend_Date::DAY);
        $hoy    = Zend_Date::now();
        
        if($hoy->isLater($fechaVencimiento)){
            if($critico == 1) {
                return "background-error critico";
            } else {
                return "background-error";
            }
        }
        
        if($hoy->isLater($fechaAviso) && $hoy->isEarlier($fechaVencimiento)){
            return 'background-warning';
        }
        
        if($hoy->isEarlier($fechaAviso)){
            return 'background-ok';
        }
    }
}
