<?php
class Zend_View_Helper_PrintEtiquetaEstado
{
	
    function printEtiquetaEstado($estado = NULL)
    {
        $etiqueta = '<span class="label ';
        
        if($estado) {
            
            switch ($estado) {
                case 'EN PROCESO':
                    $etiqueta .= ' label-info';
                    break;
                case 'SI':
                case 'EMITIDA':
                case 'CONCRETADA':
                case 'TERMINADA':    
                case 'ACTIVO' :    
                case 'ENVIADA' :
                case 'DISPONIBLE' :  
                case 'RECIBIDO' :  
                case 'COBRADO' :   
                case 'VIGENTE' : 
                case 'HABILITADA' :  
                case 'HABILITADO':    
                case 'INSTALADA' :  
                case 'LIQUIDADO' : 
                case 'TERMINADO':  
                case 'OPERATIVO':
                case 'NUEVO':
                    $etiqueta .= ' label-success';
                    break;
                case 'NO':
                case 'RECHAZADA':
                case 'DESHABILITADO':
                case 'DESHABILITADA':
                case 'NO CONCRETADA':
                case 'NO REALIZADO':    
                case 'NO DISPONIBLE': 
                case 'NO VIGENTE' :    
                case 'NO OPERATIVO':
                    $etiqueta .= ' label-danger';
                    break;
                case 'BORRADOR':
                case 'PRESUPUESTO': 
                    $etiqueta .= '';
                    break;
                case 'PENDIENTE':
                case 'EN LIQUIDACION' :     
                    $etiqueta .= ' label-warning';
                    break;
                case 'RECHAZADO': 
                case 'DE BAJA':
                    $etiqueta .= ' label-inverse';
                    break;
            }
        }
        
        $etiqueta .= '"><span class="glyphicon glyphicon-tag"></span> ' . $estado . '</span>';
        return $etiqueta;
    }
}
