var getNuevoOrden = function()
{
    var elements = $("#ordenador table tbody tr");
    var data = "";
    var i = 0;
    elements.each(function () {
        if(i!==0){data=data+',';}
        data=data+this.id;
        i++;
    });
    var dataForm = 'data='+data;
    return dataForm;
}; 
var resetearForm = function(id)
{
    $(id).find('input:text').val('');
    $(id).find('textarea').val('');
    $(id).find('select').val('');
};
var guardarNuevoOrden = function(controller, filasOrdenadas)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/' + controller + '/ordenar',
        data : filasOrdenadas,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === true){
                    alert('Ocurrió un error al intentar guardar el nuevo orden.');
                }
            }
        },
        error: function(){
            alert('Ocurrió un error al intentar guardar el nuevo orden.');
        }
    });
};
var actualizarSelect = function(select, dir)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: dir,
        beforeSend: function(){
            $(select).html('<option value="">Cargando datos...</option>');
        },
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $(select).html('<option value="">-- Seleccionar --</option>');
                    if(requestData.grupos.length > 0) {
                        for (var x = 0; x < requestData.grupos.length; x++) { 
                            if(requestData.grupos[x].filas.length > 0){
                                var grupo = '<optgroup label="' + requestData.grupos[x].nombre + '">';
                                for (var z = 0; z < requestData.grupos[x].filas.length; z++) { 
                                    grupo = grupo + '<option value="' + requestData.grupos[x].filas[z].id + '">' + requestData.grupos[x].filas[z].nombre + '</option>';
                                }
                                grupo = grupo + '</optgroup>';
                                $(select).append(grupo);
                            }
                        }
                    } else {
                        for (var y = 0; y < requestData.filas.length; y++) { 
                            $(select).append('<option value="' + requestData.filas[y].id + '">' + requestData.filas[y].nombre + '</option>');
                        }
                    }
                } else {
                    alert('Ocurrió un error al intentar cargar los datos del menú select');
                }
            }
        },
        error : function(){
            alert('Ocurrió un error al intentar cargar los datos del menú select');
        }
    });
};
var cargarPopup = function(id)
{
    var title = $(id).attr('data-title');
    var dir = $(id).attr('data-url');
    var div = $(id).attr('href');
    
    $.ajax({
        dataType: 'html',
        type: "POST",
        url: dir,
        beforeSend: function(){
            $(div + " div.modal-header h4").html(title);
            $(div + " div.modal-body").html("Cargando datos...");
        },
        success: function(requestData){
            if(requestData === '{"sessionError":true}'){
                terminarSesion();
            } else {
                $(div + " div.modal-body").html(requestData);
            }
        },
        error: function(){
            $(div + " div.modal-body").html('Ocurrió un error al intentar cargar el listado');
        }
    });
};
var cargarInfoMenu = function(id)
{
    $("#popup-lg div.modal-header h4").html($(id).attr('title'));
    $("#popup-lg div.modal-body").html($(id).parent().next().html());
};
var cargarDatosPopup = function(id)
{
    $("#popup div.modal-header h4").html($(id).attr('title'));
    $("#popup div.modal-body").html($(id).next().html());
};
var getInputsAjax = function(idForm) 
{
    if(idForm) {
        formElements = $(idForm + ".ajax input:text, "+ idForm + ".ajax input:checked, " + idForm + ".ajax input:hidden, " + idForm + ".ajax textarea, " + idForm + ".ajax select");
    } else {
        formElements = $("form.ajax input:text, form.ajax input:checked, form.ajax input:hidden, form.ajax textarea, form.ajax select");
    }
    
    var dataForm = "";
    formElements.each(function () {
        name = this.name;
        value = this.value;
        dataForm = dataForm+'&'+name+'='+value;
    });

    return dataForm;
};
var armarMensajeNoty = function(mensajes)
{
    var dataMensaje = "";
    if(mensajes.length > 0){
        dataMensaje = "<ul>";
        for( i = 0 ; i < mensajes.length; i++ ){
            dataMensaje = dataMensaje + "<li>" +  mensajes[i] + "</li>";
        }
        dataMensaje = dataMensaje + "</ul>";    
    } else {
        dataMensaje = "Ocurrió un error";
    }
    return dataMensaje;
};
var eliminarFila = function(idFila)
{
   $(idFila).remove();         
};
var terminarSesion = function()
{
    alert('Ha terminado su sesión. Por favor vuelva a ingresar al sistema.');
    goTo('/acceso/logout');
};
var goTo = function(dir)
{
    location = dir;
};