var armarFilaLecturaHorometro = function(fila, url)
{
    var trLectura = '<tr id="l' + fila.id + '">'
                  + '<td width="30" class="text-center" id="nl' + fila.id + '"><input type="hidden" class="id_lectura" value="' + fila.id + '"></td>'
                  + '<td width="70">' + fila.lectura_formateada + '</td>'
                  + '<td>' + fila.fecha_formateada + '</td>'
                  + '<td width="80" class="text-center">'
                  + '<div class="btn-group">'
                  + '<a href="/horometro-lectura/editar" class="btn btn-xs editar-lectura-horometro" data-lectura="' + fila.lectura + '" data-id="' + fila.id + '" data-fecha="' + fila.fecha + '">'
                  + '<span class="glyphicon glyphicon-pencil"></span></a>'
                  + '<a href="/horometro-lectura/eliminar/' + fila.id + '" class="btn btn-xs eliminar-lectura-horometro" title="Eliminar registro">'
                  + '<span class="glyphicon glyphicon-trash"></span></a>'
                  + '</div></td></tr>'; 
    return trLectura;      
};
$(document).ready(function(){
    
   $(document).on('click', "button#revisar-lecturas-horometro", function(e){
        e.preventDefault();
        $("i.notificacion-revision").remove();
        $("#form-lectura-horometro").slideUp();
        $("#revisar-lecturas-horometro, #mostrar-formulario-lectura, a.eliminar-lectura-horometro, a.editar-lectura-horometro, #ocultar-formulario-lectura").hide();
        $("#cancelar-revision-lecturas").show();
        $("#lecturas-horometro tbody tr:last td:first").append('<span class="glyphicon glyphicon-star notificacion-revision"></span>');  
        var dataLecturas = $("input.id_lectura");
        var idUno = 0;
        var idDos = 0;
        var error = false;
        window.location = "#l" + idUno;
        for(i = dataLecturas.length; i > 0; i--){
            if(i > 1){
                window.location = "#l" + idUno;
                idUno = dataLecturas[i - 1].value;
                idDos = dataLecturas[i - 2].value;
                $.ajax({
                    dataType: 'json',
                    type: "POST",
                    url: '/administrador-horometros/analizar-lectura',
                    data : 'idUno=' + idUno + '&idDos=' + idDos,
                    async: false,
                    success: function(requestData){
                        if(requestData.error === false){
                            $("tr#l" + requestData.id + " td:first").append('<span class="glyphicon glyphicon-ok notificacion-revision"></span>');
                        } else {
                            $("tr#l" + requestData.id + " td:first").append('<span class="glyphicon glyphicon-remove notificacion-revision"></span>');
                            error = true;
                            var notyAnalisisLecturas = noty({text: armarMensajeNoty(requestData.mensajes), type: "error"});
                        }
                    }
                });
            }
            if(error === true){
                break;
            }  
        }
        if(error === false) {
            var notyAnalisisLecturas = noty({text: "Todas las lecturas registradas están dentro de los parámetros establecidos.", type: "success", timeout: 2000});
        }
        $("#cancelar-revision-lecturas").hide();
        $("#revisar-lecturas-horometro, #mostrar-formulario-lectura, a.eliminar-lectura-horometro, a.editar-lectura-horometro").show();
    });
    
    $(document).on("submit", "#form-anclaje-horometros", function(e){
        e.preventDefault();
        $.ajax({
            dataType: 'json',
            type: "POST",
            url: '/equipo/anclar-horometros',
            data : getInputsAjax("#form-anclaje-horometros"),
            beforeSend: function(){
                $("#mensaje-actividad-popup").removeClass('hidden');
                $("#errores-data-anclaje").html('').addClass('hidden');
                $("#indicacion-anclaje").show();
            },
            success: function(requestData){
                if(requestData.error === false){

                    var trLectura = armarFilaLecturaHorometro(requestData.fila);
                        
                    if($("#lecturas-horometro tbody tr#l" + requestData.fila.id).length){
                        $("#lecturas-horometro tbody tr#l" + requestData.fila.id).remove();
                    }

                    if(requestData.ubicacion !== false){
                        $(requestData.ubicacion).after(trLectura);
                    } else {
                        $("#lecturas-horometro tbody").prepend(trLectura);
                    }
                    $("#lecturas-horometro tbody tr#l" + requestData.fila.id).effect('highlight');


                    if($("#fechaPrimeraLectura").length === 1) {
                        $("#fechaPrimeraLectura").html(requestData.sumario.primeraLectura.fecha_formateada);
                    }    
                    if($("#fechaUltimaLectura").length === 1) {
                        $("#fechaUltimaLectura").html(requestData.sumario.ultimaLectura.fecha_formateada);
                    }
                    if($("#promedioCalculado").length === 1) {
                        $("#promedioCalculado").html(requestData.sumario.promedioCalculado_formateado + " h");
                        chart = armarGraficaHorasOperacionMensual(requestData.horasOperacion);
                    } 

                    if($("#h" + requestData.sumario.ultimaLectura.equipo_id).length === 1) {
                        $("#h" + requestData.sumario.ultimaLectura.equipo_id).text(requestData.sumario.ultimaLectura.lectura_formateada);
                        $("#fh" + requestData.sumario.ultimaLectura.equipo_id).text(requestData.sumario.ultimaLectura.fecha_formateada);
                    }
                    $("#mensaje-actividad-popup").addClass('hidden');
                    $("#popup").modal('hide');
                } else {
                    var contentError = '';
                    for(var i = 0; i < requestData.dataErrores.length; i++){
                        contentError += '<ul><strong>' + requestData.dataErrores[i].nombre + '</strong>';
                        for(var x = 0; x < requestData.dataErrores[i].mensajes.length; x++){
                            contentError += '<li>' +  requestData.dataErrores[i].mensajes[x] + '</li>';
                        }
                        contentError += '</ul>';
                    }
                    $("#indicacion-anclaje").hide();
                    $("#errores-data-anclaje").html(contentError).removeClass('hidden');
                    $("#mensaje-actividad-popup").addClass('hidden');
                }
            },
            error: function(){
                $("#mensaje-actividad-popup").addClass('hidden');
                alert('Ocurrió un error al intentar anclar los horómetro.');
            }
        });
    });
    
    $(document).on("click", "a.eliminar-anclaje-horometro", function(e){
        e.preventDefault();
        if(confirm("¿Seguro que desea eliminar el anclaje? Se desbloquearán todos los registros ingresados por esa vía y no podrá volver a bloquearlos.")){
            var boton = $(this);
            $.ajax({
                dataType: 'json',
                type: "POST",
                url: '/equipo/eliminar-anclaje-horometro/' + boton.attr('data-id'),
                beforeSend: function(){
                    $("#mensaje-actividad-popup").removeClass('hidden');
                },
                success: function(requestData){
                    if(requestData.error === false){
                        boton.parent().effect('highlight');
                        boton.addClass('hidden');
                        boton.next().removeClass('hidden');
                        $("#mensaje-actividad-popup").addClass('hidden');
                    } else {
                        alert(requestData.mensaje);
                    }
                },
                error: function(){
                    alert('Ocurrió un error al intentar eliminar el anclaje del horómetro.');
                }
            });
        }
            
    });
    
    $(document).on('click', "#mostrar-formulario-lectura", function(){
        $(this).hide();
        $("#ocultar-formulario-lectura").show();
        $("#form-lectura-horometro").slideDown();
        $("#form-lectura-horometro input#lectura").focus();
        
    });
    
    $(document).on('click', "#ocultar-formulario-lectura", function(){
        $(this).hide();
        $("#mostrar-formulario-lectura").show();
        $("#form-lectura-horometro").slideUp();
        $("#form-lectura-horometro input").val('');
        $("#form-lectura-horometro").attr('action', $("#form-lectura-horometro").attr('data-action'));
        $("#form-lectura-horometro button#enviar-lectura-horometro").text('Agregar');
    });
    
    $(document).on('click', "a.editar-lectura-horometro", function(e){
        e.preventDefault();
        $("#mostrar-formulario-lectura").hide();
        $("#ocultar-formulario-lectura").show();
        $("#enviar-lectura-horometro").text('Guardar cambios');
        $("#form-lectura-horometro").attr('action', $(this).attr('href'));
        $("#form-lectura-horometro").slideDown();
        $("#fecha").val($(this).attr('data-fecha'));
        $("#lectura").val($(this).attr('data-lectura'));
        $("#id").val($(this).attr('data-id'));
        $("#form-lectura-horometro input#lectura").focus();
    });
    
    $(document).on('click', "a.mostrar-horometros", function(e){
        e.preventDefault();
        $("ul.list-horometros").hide();
        $(this).next().show();
    });
    
    $(document).on('click', "a.get-horometro", function(e){
        e.preventDefault();
        $("a.get-horometro").removeClass('horometro-seleccionado');
        $(this).addClass('horometro-seleccionado');
        
        $.ajax({
            type: "POST",
            dataType: 'html',
            url: $(this).attr('href'),
            beforeSend : function(){
                $("#detalle-horometro").html('Cargando horómetro...');
            },
            success: function(requestData){
                $("#detalle-horometro").html(requestData);
                
            },
            error: function(){
                alert('Ocurrió un error al intentar obtener el detalle del horómetro');
            }
        });
    });
    
    $(document).on('submit', "#form-lectura-horometro", function(e){
        e.preventDefault();
        if($("#form-lectura-horometro #fecha").val() === '' || $("#form-lectura-horometro #lectura").val() === ''){
            alert('Por favor ingrese la hora y la fecha');
            return;
        } else {
            
            $.ajax({
                type: "POST",
                dataType: 'json',
                url: $("#form-lectura-horometro").attr('action'),
                data : getInputsAjax("#form-lectura-horometro"),
                beforeSend : function(){
                    $("#mensaje-actividad-popup").removeClass('hidden');
                },
                success: function(requestData){
            
                    $("#enviar-lectura-horometro").text('Agregar').removeClass('disabled');
                    $("#form-lectura-horometro").slideUp();
                    $("#ocultar-formulario-lectura").hide();
                    $("#mostrar-formulario-lectura").show();
                    $("#numLecturas").html(requestData.sumario.numLecturas_formateado);
                            
                    if(requestData.error === false){
                        
                        $("#fecha, #lectura, #id").val('');
                        $("#form-lectura-horometro").attr('action', '/horometro-lectura/ingresar');
                        
                        var trLectura = armarFilaLecturaHorometro(requestData.fila);
                        
                        if($("#lecturas-horometro tbody tr#l" + requestData.fila.id).length){
                            $("#lecturas-horometro tbody tr#l" + requestData.fila.id).remove();
                        }
                        
                        if(requestData.ubicacion !== false){
                            $(requestData.ubicacion).after(trLectura);
                        } else {
                            $("#lecturas-horometro tbody").prepend(trLectura);
                        }
                        $("#lecturas-horometro tbody tr#l" + requestData.fila.id).effect('highlight');

                        
                        if($("#fechaPrimeraLectura").length === 1) {
                            $("#fechaPrimeraLectura").html(requestData.sumario.primeraLectura.fecha_formateada);
                        }    
                        if($("#fechaUltimaLectura").length === 1) {
                            $("#fechaUltimaLectura").html(requestData.sumario.ultimaLectura.fecha_formateada);
                        }
                        if($("#promedioCalculado").length === 1) {
                            $("#promedioCalculado").html(requestData.sumario.promedioCalculado_formateado + " h");
                            chart = armarGraficaHorasOperacionMensual(requestData.horasOperacion);
                        } 
                        
                        if($("#h" + requestData.sumario.ultimaLectura.equipo_id).length === 1) {
                            $("#h" + requestData.sumario.ultimaLectura.equipo_id).text(requestData.sumario.ultimaLectura.lectura_formateada);
                            $("#fh" + requestData.sumario.ultimaLectura.equipo_id).text(requestData.sumario.ultimaLectura.fecha_formateada);
                        }
                        $("#mensaje-actividad-popup").addClass('hidden');
                    } else {
                        $("#mensaje-actividad-popup").addClass('hidden');
                        alert(requestData.mensaje);
                    }
                },
                error: function(){
                    alert('Ocurrió un error al intentar enviar la lectura del horómetro.');
                }
            });
        }
    });
    
    $(document).on('click', "a.eliminar-lectura-horometro", function(e){
        e.preventDefault();
        if(confirm('¿Seguro que desea eliminar esta lectura?')){
            $.ajax({
                dataType: 'json',
                type: "POST",
                url: $(this).attr('href'),
                success: function(requestData){
                        
                    if(requestData.error === false){
                        
                        if($("#fechaPrimeraLectura").length === 1) {
                            $("#fechaPrimeraLectura").html(requestData.sumario.primeraLectura.fecha_formateada);
                        }    
                        if($("#fechaUltimaLectura").length === 1) {
                            $("#fechaUltimaLectura").html(requestData.sumario.ultimaLectura.fecha_formateada);
                        }
                        if($("#promedioCalculado").length === 1) {
                            $("#promedioCalculado").html(requestData.sumario.promedioCalculado_formateado + " h");
                            chart = armarGraficaHorasOperacionMensual(requestData.horasOperacion);
                        } 
                        
                        if($("#h" + requestData.sumario.ultimaLectura.equipo_id).length === 1) {
                            $("#h" + requestData.sumario.ultimaLectura.equipo_id).text(requestData.sumario.ultimaLectura.lectura_formateada);
                            $("#fh" + requestData.sumario.ultimaLectura.equipo_id).text(requestData.sumario.ultimaLectura.fecha_formateada);
                        }
                        
                        $("#fecha, #lectura, #id").val('');
                        $("tr#l" + requestData.eliminado_id).remove();
                        $("#numLecturas").html(requestData.sumario.numLecturas_formateado);

                    } else {
                        alert(requestData.mensaje);
                    }
                }
            });
        }
    });
    
    $(document).on('click', 'a.equipo-seleccionado-anclaje', function(e){
        e.preventDefault();
        var nombre = $(this).attr('data-nombre');
        var idEsclavo = $(this).attr('data-id-esclavo');
        var idMaestro = $(this).attr('data-id-maestro');
        $("#nombre-esclavo").text(nombre);
        $("#id_esclavo").val(idEsclavo);
        $("#id_maestro").val(idMaestro);
        $("#selector-equipo-anclaje").addClass('hidden');
        $("#configurar-anclaje").removeClass('hidden');
    });
});