var setParametroInforme = function(equipoId, parametroId)
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/config-parametros/set-parametro-equipo/',
        data: "equipo_id=" + equipoId + "&parametro_id=" + parametroId,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    $("#e" + equipoId + "p" + parametroId).parent().effect('highlight');
                } else {
                    alert(requestData.mensaje);
                }
            }
        }
    });
};
var guardarInforme = function()
{
    $.ajax({
        dataType: 'json',
        type: "POST",
        url: '/informes/guardar-modelo',
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    goTo('/sistema-informe-preconfigurado/editar/' + requestData.id);
                } else {
                    alert(requestData.mensaje);
                }
            }
        }
    });
}; 
$(document).ready(function(){
    $("input.config-parametro").on('click', function(){
        var equipoId = $(this).attr('data-equipo');
        var parametroId = $(this).attr('data-parametro');
        setParametroInforme(equipoId, parametroId);
    });
    $(document).on('click', "a.guardar-informe", function(e){
        e.preventDefault();
        guardarInforme();
    });
});
