var setPrivilegio = function(ruta, perfilId, valor, objInput)
{
    $.ajax({
        type: "POST",
        dataType: 'json',
        url: '/sistema-perfil-usuario/set-privilegio',
        data: 'ruta=' + ruta + '&perfil_id=' + perfilId + '&valor=' + valor,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    
                } else {
                    alert(requestData.mensaje);
                }
            }
        },
        error: function(){
            alert('Ocurrió un error al intentar configurar el privilegio.');
        }
    });
};
var setAccesoRecurso = function(recursoTipo, usuarioId, recursoId, valor, objInput)
{
    $.ajax({
        type: "POST",
        dataType: 'json',
        url: '/sistema-usuario/set-acceso-recurso',
        data: 'recurso_tipo=' + recursoTipo + '&usuario_id=' + usuarioId + '&recurso_id=' + recursoId + '&valor=' + valor,
        success: function(requestData){
            if(requestData.sessionError === true){
                terminarSesion();
            } else {
                if(requestData.error === false){
                    
                } else {
                    alert(requestData.mensaje);
                }
            }
        },
        error: function(){
            alert('Ocurrió un error al intentar configurar el acceso al recurso.');
        }
    });
};
$(document).ready(function(){
    $(document).on('change', ".set-acceso", function(){
        var ruta = $(this).attr("data-ruta");
        var valor = $(this).val();
        var perfilId = $("#perfil_id").val();    
        setPrivilegio(ruta, perfilId, valor, $(this));
    });
    
    $(document).on('click', "input.nave_asignada", function(){
        var naveId = $(this).attr("id");
        var usuarioId = $("#usuario_id").val();   
        setAccesoRecurso("naves", usuarioId, naveId, 1, $(this));
    });
    $(document).on('click', "input.nave_seleccionada", function(){
        var naveId = $(this).attr("id");
        var usuarioId = $("#usuario_id").val();   
        var numCheck = $("#" + naveId + ":checked").length;
        setAccesoRecurso("naves", usuarioId, naveId, numCheck, $(this));
    });
});